天舒云淡
2021-07-29 00:35
采纳率: 100%
浏览 522
已结题

spyder5.0.5老出现 You have missing dependencies! # Mandatory: rtree >=0.9.7 : None 这种依赖错误

使用anaconda 创建环境,安装spyder 5.0.5,在运行spyder时出现提示

img

根据网上查找的结果,执行下面的命令:
conda install -c conda-forge libspatialindex
conda install -c conda-forge rtree
在anaconda环境中查看已经安装了 rtree 0.9.7
但在打开spyder时还是提示同样信息,如何解决?

  • 写回答
  • 好问题 提建议
  • 追加酬金
  • 关注问题
  • 收藏
  • 邀请回答

4条回答 默认 最新

  • 天舒云淡 2021-07-30 00:26
    已采纳

    将spatialindex_c-64.dll文件复制到anaconda的环境目录下C:\Users\XXX_\anaconda3\envs\pytorch\Lib\site-packages\rtree
    问题解决

    已采纳该答案
    评论
    解决 2 无用
    打赏 举报
查看更多回答(3条)

相关推荐 更多相似问题